<script setup lang="ts">
import UCItemMonth from './Utilitycost Pay/UCItemMonth.vue'
import UCYearReport from './Utilitycost Pay/UCYearReport.vue'
import ShowSaleDialogEPM from './User/ShowSaleDialogEPM.vue'
import { useUserStore } from '../stores/user'
import { useAuthStore } from '@/stores/auth'
import { onMounted } from 'vue'

onMounted(async () => {
  useUserStore().employee_id = useAuthStore().getCurrentUser()?.id
})
</script>

<template>
  <v-row>
    <v-col>
      <v-card class="mx-auto" height="600" style="overflow: auto">
        <v-card-item>
          <UCItemMonth />
        </v-card-item>
      </v-card>
    </v-col>
  </v-row>

  <v-row>
    <v-col>
      <v-card class="mx-auto" height="600" style="overflow: auto">
        <v-card-item>
          <UCYearReport />
        </v-card-item>
      </v-card>
    </v-col>
  </v-row>

  <v-row>
    <v-col>
      <v-card class="mx-auto" height="600" style="overflow: auto">
        <v-card-item>
          <ShowSaleDialogEPM></ShowSaleDialogEPM>
        </v-card-item>
      </v-card>
    </v-col>
  </v-row>

</template>

<style scoped>
.mitr-bold {
  font-family: 'Mitr', sans-serif;
  font-weight: 700;
  font-style: normal;
}

.v-card {
  text-align: center;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  color: #412f26;
}

.v-sheet,
.v-card {
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  text-decoration: none;
}

.v-btn {
  background-color: #ffcb5e;
  border-radius: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: black;
}
</style>

